/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

/* HERO */

.hero-container {
  display: flex;
  padding: 20px 0 60px;
  gap: 40px;
}
.hero-container .hero-container__text {
  width: 60%;
}
.hero-container .hero-container__img {
  width: 40%;
}
.hero-container__text {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.hero-container__text p {
  margin-bottom: 40px;
}
.hero-container__buttons {
  display: flex;
  gap: 20px;
}
.hero-container__img {
  display: flex;
  justify-content: center;
}
.hero-container__img img {
  width: 350px;
}
@media (max-width: 999px) {
  .hero-container {
    flex-direction: column-reverse;
  }
  .hero-container .hero-container__text,
  .hero-container .hero-container__img {
    width: 100%;
  }
  .hero-container__buttons {
    justify-content: center;
    flex-wrap: wrap;
  }
}
/* TITLE SECTION */

.trnd-title-center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* PRODUCTS */

.trnd-woo-products {
  margin: 40px 0;
}
.trnd-woo-products__button {
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

/* CTA */
.trnd-cta {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--theme-palette-color-6);
  padding: 30px 40px;
  margin: 60px auto;
  max-width: 650px;
}
.trnd-cta__text p {
  margin: 0;
}
@media (max-width: 999px) {
  .trnd-cta {
    max-width: 100%;
    flex-wrap: wrap;
    gap: 20px;
  }
}
@media (max-width: 768px) {
  .trnd-cta {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px 30px;
  }
  .trnd-cta__button {
    margin: auto;
  }
}
/* BUTTONS */
.trnd-button-light,
.trnd-button-dark {
  display: block;
  font-size: 14px;
  border: 1px solid var(--theme-palette-color-1);
  padding: 12px 40px;
  text-transform: uppercase;
  font-weight: 700;
}
.trnd-button-dark {
  background-color: var(--theme-palette-color-1);
  color: var(--theme-palette-color-8);
}
.trnd-button-light:hover {
  background-color: var(--theme-palette-color-1);
  color: var(--theme-palette-color-8);
}

.trnd-button-dark:hover {
  color: var(--theme-palette-color-1);
  background-color: var(--theme-palette-color-8);
}

/* CONTACT FORM */

.trnd-form-container label {
  color: #1e1e1e;
  font-weight: 400 !important;
}
.trnd-form-container__row {
  display: grid;
  grid-template-columns: 1fr 1fr;

  margin: auto;
  row-gap: 20px;
  column-gap: 40px;
}
.trnd-form-container input[type='submit'] {
  text-transform: initial;
}
.trnd-form-container__row.trnd-full-row {
  grid-template-columns: 1fr;
}
.trnd-form-submit {
  width: 100%;
  display: flex;
  justify-content: left;
}
.trnd-form-container input,
.trnd-form-container textarea {
  font-weight: 400 !important;
  border: 1px solid black !important;
  border-radius: 0px !important;
  margin-top: 10px;
}
.trnd-form-submit input {
  padding: 20px 40px;
  border: 0px solid transparent !important;
  border-radius: 0px !important;
}

@media (max-width: 767px) {
  .trnd-form-container__row {
    margin-bottom: 20px;
    column-gap: 0px;
    row-gap: 0px;
    grid-template-columns: 1fr;
  }
  .trnd-form-container p,
  .trnd-form-container input[type='submit'] {
    width: 100%;
    margin-top: 20px;
  }
}
